Bug 356171 - manedit segfault on pressing New button
manedit segfault on pressing New button
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: manedit (Show other bugs)
7
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-28 23:50 EDT by Jerry James
Modified: 2007-12-20 15:16 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.8.1-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-20 14:49:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2007-10-28 23:50:05 EDT
Description of problem:
I ran manedit with no command line args so I could start building a new man
page.  I pressed the "New" button, which triggered an immediate segfault.  The
backtrace is as follows, with frames 1-54166 being the same as 54167-54170
repeated over and over.  Presumably the segfault is due to running off the end
of the stack.

(gdb) bt -21
#54167 0x00a744d2 in gtk_handlers_run (handlers=0x9a780d8, signal=0xbfa6ed18, 
    object=0x9a8ab68, params=0xbfa6ed98, after=1) at gtksignal.c:1917
#54168 0x00a76b92 in gtk_signal_real_emit (object=<value optimized out>, 
    signal_id=61, params=0xbfa6ed98) at gtksignal.c:1516
#54169 0x00a76ec4 in gtk_signal_emit_by_name (object=0x9a8ab68, 
    name=0x80fdf94 "pressed") at gtksignal.c:618
#54170 0x00a3fdd6 in gtk_marshal_NONE__NONE (object=0x9a8ab68, 
    func=0x8064840 <EditorButtonMenuMapCB>, func_data=0x9a8fce8, 
    args=0xbfa6f138) at gtkmarshal.c:312
#54171 0x00a744d2 in gtk_handlers_run (handlers=0x9a780d8, signal=0xbfa6f0b8, 
    object=0x9a8ab68, params=0xbfa6f138, after=1) at gtksignal.c:1917
#54172 0x00a76b92 in gtk_signal_real_emit (object=<value optimized out>, 
    signal_id=61, params=0xbfa6f138) at gtksignal.c:1516
#54173 0x00a77238 in gtk_signal_emit (object=<value optimized out>, 
    signal_id=61) at gtksignal.c:552
#54174 0x009cd173 in gtk_button_pressed (button=0x9a8ab68) at gtkbutton.c:318
#54175 0x009ce01d in gtk_button_button_press (widget=0x9a8ab68, 
    event=0x9ae2760) at gtkbutton.c:700
#54176 0x00a3fa24 in gtk_marshal_BOOL__POINTER (object=0x9a8ab68, 
    func=0x9cdf30 <gtk_button_button_press>, func_data=0x0, args=0xbfa6f508)
    at gtkmarshal.c:28
#54177 0x00a76b16 in gtk_signal_real_emit (object=<value optimized out>, 
    signal_id=20, params=0xbfa6f508) at gtksignal.c:1492
#54178 0x00a77238 in gtk_signal_emit (object=<value optimized out>, 
    signal_id=20) at gtksignal.c:552
#54179 0x00ab2601 in gtk_widget_event (widget=0x9a8ab68, event=0x9ae2760)
    at gtkwidget.c:2864
#54180 0x00a3db78 in gtk_propagate_event (widget=0x9a8ab68, event=0x9ae2760)
    at gtkmain.c:1378
#54181 0x00a3ecae in gtk_main_do_event (event=0x9ae2760) at gtkmain.c:803
#54182 0x0012975b in gdk_event_dispatch (source_data=0x0, 
    current_time=0xbfa6f920, user_data=0x0) at gdkevents.c:2152
#54183 0x0063cd99 in g_main_dispatch (dispatch_time=0xbfa6f920) at gmain.c:656
#54184 0x0063d62d in g_main_iterate (block=<value optimized out>, dispatch=1)
    at gmain.c:877
#54185 0x0063d82f in g_main_run (loop=0x9a2f830) at gmain.c:935
#54186 0x00a3f0ff in gtk_main () at gtkmain.c:524
#54187 0x0808b6dc in main (argc=1, argv=0xbfa6fa94) at main.c:1144

Version-Release number of selected component (if applicable):
manedit-0.8.1-1.fc7.1

How reproducible:
Always

Steps to Reproduce:
1. Start manedit with no command line arguments
2. Press the "New" button
  
Actual results:
The application momentarily pops up a submenu asking whether to use a template
or not, then crashes with a segfault.

Expected results:
There should be no segfault.

Additional info:
Comment 1 Mamoru TASAKA 2007-10-29 05:29:10 EDT
Contacted with upstream....
Comment 2 Chris Tyler 2007-11-28 23:34:49 EST
ManEdit produces this message to stderr just before the segfault:

Gtk-WARNING **: Failed to load module "libgnomebreakpad.so":
libgnomebreakpad.so: cannot open shared object file: No such file or directory
Comment 3 Mamoru TASAKA 2007-12-17 01:06:10 EST
Would you try 0.8.1-2.fc{7,8,9} ?

They can be downloaded from
http://koji.fedoraproject.org/packages/manedit/0.8.1/
Comment 4 Jerry James 2007-12-19 23:14:16 EST
Yes, that works great.  I'm also getting the warning message identified in
comment #2.  Is that anything to worry about?  The .so is in
/usr/lib/gtk-2.0/modules.
Comment 5 Mamoru TASAKA 2007-12-19 23:27:58 EST
Well, as currently it seems that manedit is working for now I ignore
the warning. BTW manedit uses GTK+ (version 1.x) so this should have
no relation with /usr/lib/gtk-2.0/modules (version 2.x).
Comment 6 Mamoru TASAKA 2007-12-19 23:29:14 EST
(In reply to comment #4)
> Yes, that works great.  

Thank you for confirming!
Comment 7 Fedora Update System 2007-12-20 14:48:59 EST
manedit-0.8.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2007-12-20 15:16:27 EST
manedit-0.8.1-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.